import React from "react";
import { MatrixEvent } from "matrix-js-sdk/src/matrix";
interface IProps {
    mxEvent: MatrixEvent;
}
export default class TextualEvent extends React.Component<IProps> {
    static contextType: React.Context<import("../../structures/RoomView").IRoomState & {
        threadId?: string | undefined;
    }>;
    render(): React.ReactNode;
}
export {};
